Package org.apache.synapse.transport.fix.message

## Class FIXConstants

- java.lang.Object
- - org.apache.synapse.transport.fix.message.FIXConstants

-     public class FIXConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static QName` | `BINARY_CONTENT_QNAME` |
    `static String` | `FIX_ACCEPTOR` |
    `static String` | `FIX_BINARY_FIELD` |
    `static String` | `FIX_BODY` |
    `static String` | `FIX_FIELD` |
    `static String` | `FIX_FIELD_ID` |
    `static String` | `FIX_GROUP` |
    `static String` | `FIX_GROUPS` |
    `static String` | `FIX_HEADER` |
    `static String` | `FIX_INITIATOR` |
    `static String` | `FIX_MESSAGE` |
    `static String` | `FIX_MESSAGE_APPLICATION` |
    `static String` | `FIX_MESSAGE_COUNTER` |
    `static String` | `FIX_MESSAGE_INCOMING_SESSION` |
    `static String` | `FIX_MESSAGE_REFERENCE` |
    `static String` | `FIX_MESSAGE_SERVICE` |
    `static String` | `FIX_SOH_EOD` |
    `static String` | `FIX_TRAILER` |
    `static String` | `HTML_END_TAG` |
    `static String` | `HTML_START_TAG` |
    `static String` | `SOH` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FIXConstants()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIX_ACCEPTOR

          public static final String FIX_ACCEPTOR

      See Also:
        Constant Field Values

    - #### FIX_INITIATOR

          public static final String FIX_INITIATOR

      See Also:
        Constant Field Values

    - #### FIX_MESSAGE

          public static final String FIX_MESSAGE

      See Also:
        Constant Field Values

    - #### FIX_FIELD

          public static final String FIX_FIELD

      See Also:
        Constant Field Values

    - #### FIX_HEADER

          public static final String FIX_HEADER

      See Also:
        Constant Field Values

    - #### FIX_BODY

          public static final String FIX_BODY

      See Also:
        Constant Field Values

    - #### FIX_TRAILER

          public static final String FIX_TRAILER

      See Also:
        Constant Field Values

    - #### FIX_FIELD_ID

          public static final String FIX_FIELD_ID

      See Also:
        Constant Field Values

    - #### FIX_GROUPS

          public static final String FIX_GROUPS

      See Also:
        Constant Field Values

    - #### FIX_GROUP

          public static final String FIX_GROUP

      See Also:
        Constant Field Values

    - #### FIX_MESSAGE_SERVICE

          public static final String FIX_MESSAGE_SERVICE

      See Also:
        Constant Field Values

    - #### FIX_MESSAGE_APPLICATION

          public static final String FIX_MESSAGE_APPLICATION

      See Also:
        Constant Field Values

    - #### FIX_BINARY_FIELD

          public static final String FIX_BINARY_FIELD

      See Also:
        Constant Field Values

    - #### FIX_MESSAGE_REFERENCE

          public static final String FIX_MESSAGE_REFERENCE

      See Also:
        Constant Field Values

    - #### FIX_MESSAGE_COUNTER

          public static final String FIX_MESSAGE_COUNTER

      See Also:
        Constant Field Values

    - #### FIX_MESSAGE_INCOMING_SESSION

          public static final String FIX_MESSAGE_INCOMING_SESSION

      See Also:
        Constant Field Values

    - #### FIX_SOH_EOD

          public static final String FIX_SOH_EOD

      See Also:
        Constant Field Values

    - #### HTML_START_TAG

          public static final String HTML_START_TAG

      See Also:
        Constant Field Values

    - #### HTML_END_TAG

          public static final String HTML_END_TAG

      See Also:
        Constant Field Values

    - #### BINARY_CONTENT_QNAME

          public static final QName BINARY_CONTENT_QNAME

    - #### SOH

          public static final String SOH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FIXConstants

          public FIXConstants()